
#ifndef __DIALOGS__
#include <Dialogs.h>
#endif


#define TCL_OK		0
#define TCL_ERROR	1

#define XTCL_FAILURE			0
#define XTCL_SUCCESS			1
#define XTCL_REQ_UNKNOWN		-1

#define ucNoErr				0
#define ucCancelErr			-1
#define ucNoAddrErr			1001

#define XTCL_CB_VERSION		0x00010001

/* Tcl interpreter structure */
typedef struct Tcl_Interp{
    char *result;		/* Points to result string returned by last
				 * command, TCL_OK or TCL_ERROR. */
    void (*freeProc) (char *blockPtr);
				/* Zero means result is statically allocated.
				 * If non-zero, gives address of procedure
				 * to invoke to free the result.  Must be
				 * freed by Tcl_Eval before executing next
				 * command. */
    int errorLine;		/* When TCL_ERROR is returned, this gives
				 * the line number within the command where
				 * the error occurred (1 means first line). */
} Tcl_Interp;


/*
** This is the interface for text selection resource commands.
*/
typedef struct {
	long		version;			/* Version of the Cmd interface. */
	long		result;				/* CMD's operation result code. */
	Handle		resultH;			/* CMD's result handle. */
	short		cmdRefNum;			/* Cmd file reference number. */
	Handle		cmdHandle;			/* CMD's command code handle. */
	Tcl_Interp	*interp;			/* Interpreter calling this XTCL. */
	int			(*eval)();			/* Callback procedure (C) for tcl script evaluation */
	ModalFilterProcPtr	modalproc;	/* Routine for ModalDialog() to keep background. */
	long		reserved;
	} XTCLParmBlk, *XTCLPBPtr;


